Bug 1300172 - Fail to deploy SSL (non HA) Could not find data item step in any Hiera data file and no default supplied /var/lib/heat-config/heat-config-puppet/15afa672-a60e-4e98-bd4a-2572f2efefbc.pp
Fail to deploy SSL (non HA) Could not find data item step in any Hiera data ...
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity high
: ---
: 8.0 (Liberty)
Assigned To: Hugh Brock
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 01:40 EST by Ronnie Rasouli
Modified: 2016-04-18 03:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-07 10:25:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronnie Rasouli 2016-01-20 01:40:33 EST
Description of problem:

Fail to deploy RHOS7 with the following command:

I was trying to deploy a non HA with network isolation with version 7 puddle. 2016-01-18

openstack overcloud deploy \
--templates ~/templates/my-overcloud \
--control-scale 1 --compute-scale 1 \
--ntp-server clock.redhat.com \
--libvirt-type qemu \
--debug --log-file=overcloud_deploy.log \
-e ~/templates/my-overcloud/environments/network-isolation.yaml \
-e ~/templates/network-environment.yaml \
-e ~/templates/firstboot-environment.yaml \
-e ~/ssl-heat-templates/environments/enable-tls.yaml \
-e ~/ssl-heat-templates/environments/inject-trust-anchor.yaml

openstack overcloud deploy \
--templates ~/templates/my-overcloud \
--control-scale 1 --compute-scale 1 \
--ntp-server clock.redhat.com \
--libvirt-type qemu \
--debug --log-file=overcloud_deploy.log \
-e ~/templates/my-overcloud/environments/network-isolation.yaml \
-e ~/templates/network-environment.yaml \
-e ~/templates/firstboot-environment.yaml \
-e ~/ssl-heat-templates/environments/enable-tls.yaml \
-e ~/ssl-heat-templates/environments/inject-trust-anchor.yaml



Jan 19 17:20:51 overcloud-controller-0.localdomain os-collect-config[9603]: Error: /Stage[main]/Heat/Exec[heat-dbsync]: Failed to call refresh: heat-manage --config-file /etc/heat/heat.conf db_sync returned 1 instead of one of [0]
Jan 19 17:20:51 overcloud-controller-0.localdomain os-collect-config[9603]: Error: /Stage[main]/Heat/Exec[heat-dbsync]: heat-manage --config-file /etc/heat/heat.conf db_sync returned 1 instead of one of [0]
Jan 19 17:20:51 overcloud-controller-0.localdomain os-collect-config[9603]: [2016-01-19 17:20:50,863] (heat-config) [ERROR] Error running /var/lib/heat-config/heat-config-puppet/15afa672-a60e-4e98-bd4a-2572f2efefbc.pp. [6]


Error: Could not find data item step in any Hiera data file and no default supplied at /var/lib/heat-config/heat-config-puppet/15afa672-a60e-4e98-bd4a-2572f2efefbc.pp:36 on node overcloud-controller-0.localdomain

vi /var/lib/heat-config/heat-config-puppet/15afa672-a60e-4e98-bd4a-2572f2efefbc.pp +36

$non_pcmk_start = hiera('step') >= 4


Version-Release number of selected component (if applicable):

openstack-tripleo-puppet-elements-0.0.1-5.el7ost.noarch
openstack-puppet-modules-2015.1.8-41.el7ost.noarch
puppet-3.6.2-2.el7.noarch
openstack-nova-api-2015.1.2-13.el7ost.noarch
python-cinderclient-1.2.1-1.el7ost.noarch
openstack-heat-engine-2015.1.2-6.el7ost.noarch
openstack-tripleo-heat-templates-0.8.6-106.el7ost.noarch


How reproducible:
100%

Steps to Reproduce:
1.configure SSL certificate and apply it on the relevant puppet files
2.configure network isolation 
3.deploy as above

Actual results:

Deployment failed

Expected results:

post deployment pass

Additional info:

Note You need to log in before you can comment on or make changes to this bug.